use 5.006;
use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

my $bd = "../wmi/Samba/source";

WriteMakefile(
	      'NAME' => 'Net::WMI',
	      'VERSION_FROM' => 'lib/Net/WMI.pm',
	      'PREREQ_PM' => {},
	      'AUTHOR' => 'Evgeny Sychov <evgeny@nexenta.com>',
	      'LIBS' => ["-lcrypt \
		-lresolv \
		-liconv \
		-ldl "],
	      'DEFINE' => '-D_SAMBA_BUILD_=4 -DHAVE_CONFIG_H',
	      'INC' => "-I ../wmi/Samba/source/lib/popt -I ../wmi/Samba/source/lib/replace -I ../wmi/Samba/source/lib/talloc -I ../wmi/Samba/source/lib/tdb/include -I ../wmi/Samba/source/heimdal_build -I ../wmi/Samba/source/heimdal/lib/roken -I ../wmi/Samba/source/lib/socket_wrapper -I ../wmi/Samba/source/heimdal/lib/des -I ../wmi/Samba/source/heimdal/lib/com_err -I ../wmi/Samba/source/heimdal/lib/asn1 -I ../wmi/Samba/source/heimdal/lib/krb5 -I ../wmi/Samba/source/heimdal/lib/hdb -I ../wmi/Samba/source/heimdal/lib/gssapi/spnego -I ../wmi/Samba/source/heimdal/lib/gssapi -I ../wmi/Samba/source/heimdal/lib/gssapi/krb5 -I ../wmi/Samba/source/heimdal/lib/gssapi/mech -I ../wmi/Samba/source/include -I../wmi/Samba/source -I ../wmi/Samba/source/lib -I ../wmi/Samba/source/lib/replace",
	      'OBJECT' => "WMI.o ../wmi/Samba/source/bin/static/libdcom.a \
		../wmi/Samba/source/bin/static/libcom.a \
		../wmi/Samba/source/bin/static/librpc_ndr_winreg.a \
		../wmi/Samba/source/bin/static/libdcom_proxy_dcom.a \
		../wmi/Samba/source/bin/static/libndr_table.a \
		../wmi/Samba/source/bin/static/libndr_nfs4acl.a \
		../wmi/Samba/source/bin/static/libndr_frsapi.a \
		../wmi/Samba/source/bin/static/libndr_frsrpc.a \
		../wmi/Samba/source/bin/static/libndr_notify.a \
		../wmi/Samba/source/bin/static/libndr_sasl_helpers.a \
		../wmi/Samba/source/bin/static/libndr_opendb.a \
		../wmi/Samba/source/bin/static/libndr_winstation.a \
		../wmi/Samba/source/bin/static/libndr_dnsserver.a \
		../wmi/Samba/source/bin/static/libndr_winsrepl.a \
		../wmi/Samba/source/bin/static/libndr_drsblobs.a \
		../wmi/Samba/source/bin/static/libndr_rot.a \
		../wmi/Samba/source/bin/static/libndr_xattr.a \
		../wmi/Samba/source/bin/static/libndr_keysvc.a \
		../wmi/Samba/source/bin/static/libndr_trkwks.a \
		../wmi/Samba/source/bin/static/libndr_ntsvcs.a \
		../wmi/Samba/source/bin/static/libndr_scerpc.a \
		../wmi/Samba/source/bin/static/libndr_w32time.a \
		../wmi/Samba/source/bin/static/libndr_browser.a \
		../wmi/Samba/source/bin/static/libndr_wzcsvc.a \
		../wmi/Samba/source/bin/static/libndr_protected_storage.a \
		../wmi/Samba/source/bin/static/libndr_mgmt.a \
		../wmi/Samba/source/bin/static/libndr_winreg.a \
		../wmi/Samba/source/bin/static/libndr_initshutdown.a \
		../wmi/Samba/source/bin/static/libndr_wins.a \
		../wmi/Samba/source/bin/static/libndr_msgsvc.a \
		../wmi/Samba/source/bin/static/libndr_dssetup.a \
		../wmi/Samba/source/bin/static/libndr_dbgidl.a \
		../wmi/Samba/source/bin/static/libndr_eventlog.a \
		../wmi/Samba/source/bin/static/libndr_atsvc.a \
		../wmi/Samba/source/bin/static/libndr_wkssvc.a \
		../wmi/Samba/source/bin/static/libndr_srvsvc.a \
		../wmi/Samba/source/bin/static/libndr_spoolss.a \
		../wmi/Samba/source/bin/static/libndr_spoolss_buf.a \
		../wmi/Samba/source/bin/static/libndr_unixinfo.a \
		../wmi/Samba/source/bin/static/libndr_policyagent.a \
		../wmi/Samba/source/bin/static/libndr_drsuapi.a \
		../wmi/Samba/source/bin/static/libndr_compression.a \
		../wmi/Samba/source/bin/static/libcompression.a \
		../wmi/Samba/source/bin/static/libndr_dfs.a \
		../wmi/Samba/source/bin/static/libndr_efs.a \
		../wmi/Samba/source/bin/static/libndr_dsbackup.a \
		../wmi/Samba/source/bin/static/libndr_echo.a \
		../wmi/Samba/source/bin/static/libndr_audiosrv.a \
		../wmi/Samba/source/bin/static/librpc_ndr_remact.a \
		../wmi/Samba/source/bin/static/libndr_remact.a \
		../wmi/Samba/source/bin/static/libndr_dcom.a \
		../wmi/Samba/source/bin/static/librpc_ndr_oxidresolver.a \
		../wmi/Samba/source/bin/static/libndr_oxidresolver.a \
		../wmi/Samba/source/bin/static/libndr_orpc.a \
		../wmi/Samba/source/bin/static/librpc_ndr_lsa.a \
		../wmi/Samba/source/bin/static/librpc_ndr_samr.a \
		../wmi/Samba/source/bin/static/libdcerpc.a \
		../wmi/Samba/source/bin/static/librpc_ndr_netlogon.a \
		../wmi/Samba/source/bin/static/librpc_ndr_epmapper.a \
		../wmi/Samba/source/bin/static/libndr_epmapper.a \
		../wmi/Samba/source/bin/static/libndr_dcerpc.a \
		../wmi/Samba/source/bin/static/libcli_smb.a \
		../wmi/Samba/source/bin/static/libcli_finddcs.a \
		../wmi/Samba/source/bin/static/libcli_smb2.a \
		../wmi/Samba/source/bin/static/libcli_dgram.a \
		../wmi/Samba/source/bin/static/libcli_smb_composite.a \
		../wmi/Samba/source/bin/static/libcli_raw.a \
		../wmi/Samba/source/bin/static/libgensec.a \
		../wmi/Samba/source/bin/static/libndr_schannel.a \
		../wmi/Samba/source/bin/static/libauth.a \
		../wmi/Samba/source/bin/static/libpam_errors.a \
		../wmi/Samba/source/bin/static/libwinbind-client.a \
		../wmi/Samba/source/bin/static/libmessaging.a \
		../wmi/Samba/source/bin/static/libunix_privs.a \
		../wmi/Samba/source/bin/static/libndr_irpc.a \
		../wmi/Samba/source/bin/static/libndr_winbind.a \
		../wmi/Samba/source/bin/static/libcredentials.a \
		../wmi/Samba/source/bin/static/libkerberos.a \
		../wmi/Samba/source/bin/static/libcredentials_krb5.a \
		../wmi/Samba/source/bin/static/libheimdal_gssapi.a \
		../wmi/Samba/source/bin/static/libauth_sam.a \
		../wmi/Samba/source/bin/static/libndr_krb5pac.a \
		../wmi/Samba/source/bin/static/libndr_netlogon.a \
		../wmi/Samba/source/bin/static/libsecrets.a \
		../wmi/Samba/source/bin/static/libutil_tdb.a \
		../wmi/Samba/source/bin/static/libdb_wrap.a \
		../wmi/Samba/source/bin/static/libldbsamba.a \
		../wmi/Samba/source/bin/static/libsamdb.a \
		../wmi/Samba/source/bin/static/libldb.a \
		../wmi/Samba/source/bin/static/libcli_ldap.a \
		../wmi/Samba/source/bin/static/libgensec_socket.a \
		../wmi/Samba/source/bin/static/libasn1_util.a \
		../wmi/Samba/source/bin/static/libndr_samr.a \
		../wmi/Samba/source/bin/static/libndr_lsa.a \
		../wmi/Samba/source/bin/static/libcli_resolve.a \
		../wmi/Samba/source/bin/static/libcli_nbt.a \
		../wmi/Samba/source/bin/static/libndr_nbt.a \
		../wmi/Samba/source/bin/static/libndr_security.a \
		../wmi/Samba/source/bin/static/libsecurity.a \
		../wmi/Samba/source/bin/static/libndr_svcctl.a \
		../wmi/Samba/source/bin/static/libndr_nbt_buf.a \
		../wmi/Samba/source/bin/static/libheimdal_hdb_keys.a \
		../wmi/Samba/source/bin/static/libheimdal_krb5.a \
		../wmi/Samba/source/bin/static/libheimdal_glue.a \
		../wmi/Samba/source/bin/static/libheimdal_asn1.a \
		../wmi/Samba/source/bin/static/libheimdal_com_err.a \
		../wmi/Samba/source/bin/static/libheimdal_des.a \
		../wmi/Samba/source/bin/static/libheimdal_roken.a \
		../wmi/Samba/source/bin/static/libheimdal_roken_getprogname.a \
		../wmi/Samba/source/bin/static/libndr_misc.a \
		../wmi/Samba/source/bin/static/libndr.a \
		../wmi/Samba/source/bin/static/libnetif.a \
		../wmi/Samba/source/bin/static/libtdb.a \
		../wmi/Samba/source/bin/static/libcli_auth.a \
		../wmi/Samba/source/bin/static/libmsrpc_parse.a \
		../wmi/Samba/source/bin/static/libschanneldb.a \
		../wmi/Samba/source/bin/static/libpacket.a \
		../wmi/Samba/source/bin/static/libtls.a \
		../wmi/Samba/source/bin/static/libsamba-config.a \
		../wmi/Samba/source/bin/static/libsamba-util.a \
		../wmi/Samba/source/bin/static/libcharset.a \
		../wmi/Samba/source/bin/static/libsamba-config.a \
		../wmi/Samba/source/bin/static/libsamba-util.a \
		../wmi/Samba/source/bin/static/libdynconfig.a \
		../wmi/Samba/source/bin/static/libcrypto.a \
		../wmi/Samba/source/bin/static/libsamba-socket.a \
		../wmi/Samba/source/bin/static/libsamba-errors.a \
		../wmi/Samba/source/bin/static/libcli_composite.a \
		../wmi/Samba/source/bin/static/libevents.a \
		../wmi/Samba/source/bin/static/libsocket_wrapper.a \
		../wmi/Samba/source/bin/static/libtalloc.a \
		../wmi/Samba/source/bin/static/libreplace.a \
		../wmi/Samba/source/bin/static/libdcom.a \
		../wmi/Samba/source/bin/static/libwmi.a \
",
);
  