#!/usr/bin/perl

use Net::WMI;
use Net::WMI::Connection;
use NZA::Common;
use strict;

my $host   = "192.168.1.9";
my $user   = "Administrator";
my $pass   = "CSLpass1";
my $guid;

sub remote_exec {
    my $cmd = shift;
    print "Executing command: $cmd ... ";
    eval{
    	my $con = Net::WMI::Connection->new(hostname => $host, namespace => 'root\cimv2', user => $user, pass => $pass);
    	my $obj = $con->GetObject("Win32_Process");
    	my ($in, $out) = $obj->GetMethod("Create");
    	my $inst = $in->SpawnInstance();
    	$inst->Put("CommandLine","cmd.exe /C $cmd");
    	$con->ExecMethod("Win32_Process","Create",$inst->{obj});
    }; if ($@){
	die $@;
    }
    print "Ok\n";
}

sub get_attached_luns {
    my $target_name = shift;
    my %luns = ();
    print "Send Inquiry command to all scsi luns\n";
    eval{
    	my $con = Net::WMI::Connection->new(hostname => $host, namespace => 'root\wmi', user => $user, pass => $pass);
	my $enum = $con->ExecQuery("select TargetName from msiscsiinitiator_sessionclass");
	$enum->Reset();
	my $obj;
	my $session;
	while($obj = $enum->Next()){
	    my $val = $obj->{obj}->_GetProperty('TargetName');
	    my $type = $obj->{obj}->_GetPropertyType('TargetName');	    
	    my $tname = $val->_GetSV($obj->{obj}->_GetPropertyType('TargetName'));
	    $session = $obj->{obj}->__PATH;
	    print "Checking session for $tname ...";
	    if($tname eq $target_name){		
           	print "found\n$session\n";
		my $sc = $con->GetObject("MSiSCSIInitiator_SessionClass");
		my ($in, $out) = $sc->GetMethod("SendScsiInquiry");
		my $inst = $in->SpawnInstance();
		$inst->Put("Lun",0);
		$inst->Put("EvpdCmddt",1);
		$inst->Put("PageCode",131);
		my $ret = $con->ExecMethod($session,"SendScsiInquiry",$inst->{obj});
		my $retobj = $ret->GetClassObject();
		my $rval = $retobj->{obj}->_GetProperty('ResponseBuffer');
		my $rtype = $retobj->{obj}->_GetPropertyType('ResponseBuffer');
		#print "$val - $rtype";
		my $ar = $rval->_GetAV($rtype);
		my $text = sprintf("%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X%02X",$ar->[8],$ar->[9],$ar->[10],$ar->[11],$ar->[12],$ar->[13],$ar->[14],$ar->[15],$ar->[16],$ar->[17],$ar->[18],$ar->[19],$ar->[20],$ar->[21],$ar->[22],$ar->[23]);
		foreach my $inq (@$ar){
			print "$inq, ";
		}
		print "\n$text == $guid\n";
		
		$ret = $con->ExecMethod1($session,"Logout");
		last;
	    }
	    print "not found\n";
	}
    }; if($@){
	die "Exeption in get_attached luns: $@";
    }

}

if( nms_client_init('test') != 0){
	print "Unable to initialize: $@\n";
	exit(1);
}

my $t_iqn;
my $i_iqn;
my $tgroup = "CSL_GROUP";

my $volume_if = NZA::volume();
my $zvol_if   = NZA::zvol();
my $scsid_if  = NZA::plugin('nms-comstar','scsidisk');
my $iscsitgt_if = NZA::plugin('nms-comstar','iscsitarget');
my $stmf_if   = NZA::plugin('nms-comstar','stmf');
my $net_if    = NZA::netif();


#
# Get IP address
#
my $ip_addr;
my $netifs = $net_if->get_names("");
foreach my $netif (@$netifs){
	print "$netif";
	$ip_addr = $net_if->get_child_prop($netif,'ipv4addr');
	print "= $ip_addr\n";
	last;
}

#
# Create Target and Target group
#
my $tgroups = $stmf_if->list_targetgroups();
my %thash = map { $_, 1 } @$tgroups;
if(not exists($thash{$tgroup})){
	$stmf_if->create_targetgroup($tgroup);
	$t_iqn = $iscsitgt_if->create_target({alias => $tgroup});
	$stmf_if->add_targetgroup_member($tgroup,$t_iqn);
	print "New target IQN: $t_iqn\n";
}
else{
	my $t_list = $stmf_if->list_targetgroup_members($tgroup);
	$t_iqn = $t_list->[0];
	print "Found target IQN: $t_iqn\n";
}

#
# Get initiator IQN via WMI
#
eval{
    my $con = Net::WMI::Connection->new ( hostname => $host, namespace => 'root\wmi', user => $user, pass => $pass);
    my $enum = $con->ExecQuery("select iSCSINodeName from MSiSCSIInitiator_MethodClass");
    $enum->Reset();
    my $obj;
    while($obj = $enum->Next()){
        my $val = $obj->{obj}->_GetProperty('iSCSINodeName');	
        $i_iqn = $val->_GetSV($obj->{obj}->_GetPropertyType('iSCSINodeName'));
        print "Found initiator IQN: $i_iqn\n";
        last;
    }
}; if ($@){
    die $@;
}

my $igroups = $stmf_if->list_hostgroups();
my %ihash = map { $_, 1 } @$igroups;
if(not exists($ihash{$host})){
	$stmf_if->create_hostgroup($host);
	$iscsitgt_if->create_initiator($i_iqn, {});
	$stmf_if->add_hostgroup_member($host,$i_iqn);
}

#exit(0);

my $zvol;

if(1){
my $vols = $volume_if->get_names('');
foreach my $vol (@$vols){
	my %clu = ();
	print "creating zvol in $vol ... ";
	$zvol = "$vol/testzvol";
	$zvol_if->create($zvol,"100M","8KB",1);
	$scsid_if->create_lu($zvol, \%clu);
	my $props = $scsid_if->get_lu_props($zvol);
	$guid = $props->{'guid'};
	print "$guid\n";	
	last;
}

my $mapping = $scsid_if->add_lun_mapping_entry($zvol,{host_group => $host, target_group => $tgroup});
my $lun = $mapping->{lun};
print "lun = $lun\n";
}

remote_exec("iscsicli QAddTargetPortal $ip_addr");
remote_exec("iscsicli AddTarget $t_iqn");
remote_exec("iscsicli QloginTarget $t_iqn");
sleep(1);
get_attached_luns($t_iqn);

